<table class="table table-hover">
    <tr>
        <td width="70px">
            <a href="{{ url_for('main.user', username=post.author.username) }}">
                <img src="{{ post.author.avatar(100) }}" class="img-responsive img-circle"/>
            </a>
        </td>
        <td>
            <a href="{{ url_for('main.user', username=post.author.username) }}">
                {{ post.author.username }}
            </a>
            said {{ moment(post.timestamp).fromNow() }}:
            <br>
            <br>
            {{ post.body }}
            <br>
            <br>
            <!-- Like button -->
            {% if post.has_liked_by(current_user) %}
                <button>
                    <a href="{{ url_for('main.like_post', post_id=post.id) }}">Unlike</a>
                </button>
            {% else %}
                <button>
                    <a href="{{ url_for('main.like_post', post_id=post.id) }}">Like</a>
                </button>
            {% endif %}
            <span class="like-count"><b>{{ post.likes.count() }} like</b></span>

            <!-- Comment button -->
            <button class="comment-toggle" data-post-id="{{ post.id }}" data-commented="false">
                <a href="{{ url_for('main.view_comments', post_id=post.id) }}">Comments</a>
            </button>
            <span class="comment-count"><b>{{ post.comments.count() }}</b></span>

            {% if post.author == current_user %}
                <button><a href="{{ url_for('main.edit_post', post_id=post.id) }}">Edit</a></button>
                <button><a href="{{ url_for('main.delete_post', post_id=post.id) }}">Delete</a></button>
            {% endif %}

            <!-- Include a form to submit comments -->
            <form method="post" action="{{ url_for('main.comment_post', post_id=post.id) }}">
                <div style="margin-top: 10px;"> <!-- Add margin-top here to shift the textarea -->
                    <textarea name="comment" placeholder="Write a comment"></textarea>
                </div>
                <button type="submit">Comment</button>
            </form>
        </td>
    </tr>
</table>
